[mythtv] LAME is mandatory?

Stuart Morgan stuart at tase.co.uk
Sat Mar 1 14:40:52 UTC 2008

On Saturday 01 March 2008 13:42:01 Colin Guthrie wrote:
> Can I ask if anyone has any thoughts on this? We will not be able to
> ship MythTV in Mandriva due to patent issues relating to MP3 encoding
> support. (it will still be possible to ship it in or PLF repositories
> with MP3 encoding enabled). I'd imagine other distros will have similar
> problems.

The argument is, and always has been that mythtv includes ffmpeg which has 
similar issues. On what grounds does a distro permit ffmpeg but not lame?

I don't really agree with that standpoint. It's the parent company/higher ups 
who make these legal decisions and it's not really fair to penalise packagers 
and users. It also affects those who want to ship mythtv based systems.

> Do any devs think this is actually an important issue? If so I will
> update the patch, but I'm not going to bother doing this is it's not
> going to get upstream.

I think it is, but my opinion may not count for much. I certainly don't have 
the time to review and help integrate the patch.

> I'll just have to ship MythTV 0.20 in Mandriva
> which would be a real shame for our MythTV lovers.

0.20 has the same dependency.

> I hope it is possible to make LAME optional in mythtv as this would be a
> real step back :(

See above, 0.20 and as far I can recall every version before it required LAME.
Stuart Morgan

More information about the mythtv-dev mailing list